Mandriva Linux Security Advisory : t1lib (MDVSA-2012:002)

Medium Nessus Plugin ID 57429


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been found and corrected in t1lib :

t1lib 5.1.2 and earlier uses an invalid pointer in conjunction with a dereference operation, which allows remote attackers to execute arbitrary code via a specially crafted Type 1 font in a PDF document (CVE-2011-0764).

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 57429

File Name: mandriva_MDVSA-2012-002.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2012/01/03

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64t1lib-devel, p-cpe:/a:mandriva:linux:lib64t1lib-static-devel, p-cpe:/a:mandriva:linux:lib64t1lib5, p-cpe:/a:mandriva:linux:libt1lib-devel, p-cpe:/a:mandriva:linux:libt1lib-static-devel, p-cpe:/a:mandriva:linux:libt1lib5, p-cpe:/a:mandriva:linux:t1lib-config, p-cpe:/a:mandriva:linux:t1lib-progs, cpe:/o:mandriva:linux:2010.1, cpe:/o:mandriva:linux:2011

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/01/02

Reference Information

CVE: CVE-2011-0764

BID: 46941

MDVSA: 2012:002